PearPear

Retrieve a list of instruments

Returns a list of instruments

GET
/instruments

Query Parameters

connector*string
scope?string
Default"all"

Response Body

application/json

curl -X GET "https://example.com/instruments?connector=string"
{  "instruments": [    {      "id": "BTC",      "base": "string",      "quote": "string",      "connector": "hyperliquid",      "type": "spot",      "leverage": 1,      "marginMode": "isolated",      "precision": {        "quantity": {          "decimals": -9007199254740991,          "step": 0,          "contractSize": 0        },        "price": {          "decimals": -9007199254740991,          "tick": 0,          "sigFigs": -9007199254740991        },        "notional": {          "min": 0,          "max": 0        }      },      "tradeability": {        "status": "tradable",        "reason": "string"      }    }  ]}